Intraday Tickers
取得期權可交易商品列表(依條件查詢)
GET /intraday/tickers
Parameters
| Name | Type | Description |
|---|---|---|
type* | string | 類型,可選 FUTURE 期貨;OPTION 選擇權 |
exchange | string | 交易所,可選 TAIFEX 臺灣期貨交易所 |
session | string | 交易時段,可選 REGULAR 一般交易 或 AFTERHOURS 盤後交易 |
product | string | 商品代號,例如 TXF |
contractType | string | 契約類別,可選 I 指數類;R 利率類;B 債券類;C 商品類;S 股票類;E 匯率類 |
isSpread | boolean | 帶 true 回傳時間價差(calendar spread)契約清單;預設回傳一般契約。時間價差僅存在於期貨(type=FUTURE),選擇權無此類契約 |
Response
| Name | Type | Description |
|---|---|---|
date* | string | 日期 |
type* | string | 期權類型 |
exchange* | string | 交易所 |
session | string | 交易時段 |
product | string | 商品代號(帶 product 查詢時回傳) |
contractType | string | 契約類別 |
isSpread | boolean | 是否為價差契約查詢(帶 isSpread=true 時為 true;未帶或帶 false 時不出現此欄位) |
data* | object[] | 商品列表 |
data[0].type | string | 期權類型,FUTURE 期貨;OPTION 選擇權;session=AFTERHOURS 時為 FUTURE_AH/OPTION_AH |
data[0].symbol | string | 商品代碼 |
data[0].name | string | 商品名稱 |
data[0].referencePrice | number | 參考價 |
data[0].limitUpPrice | number | 漲停價 |
data[0].limitDownPrice | number | 跌停價 |
data[0].priceLimitLevels | object[] | 各階漲跌停價(限適用分階漲跌幅的商品) |
data[0].priceLimitLevels[].level | number | 階數,1 為基準階 |
data[0].priceLimitLevels[].limitUpPrice | number | 該階漲停價 |
data[0].priceLimitLevels[].limitDownPrice | number | 該階跌停價 |
data[0].limitUpLevel | number | 漲停目前適用階數(限適用分階漲跌幅的商品) |
data[0].limitDownLevel | number | 跌停目前適用階數(限適用分階漲跌幅的商品) |
data[0].contractType | string | 契約類別 |
data[0].startDate | string | 上市日期 |
data[0].endDate | string | 下市日期 |
data[0].openDatetime | string | 交易時段開始時間 |
data[0].closeDatetime | string | 交易時段結束時間 |
data[0].flowGroup | number | 流程群組 |
data[0].settlementDate | string | 最後結算日 |
data[0].isDynamicBanding | boolean | 是否適用動態價格穩定 |
data[0].isSpread | boolean | 是否為價差契約(價差契約為 true,一般契約不出現此欄位) |
info
臺股期貨、個股期貨等單一漲跌幅商品僅回傳 limitUpPrice 與 limitDownPrice。黃金、原油、匯率、國外指數及國外成分證券 ETF 的期貨與選擇權採分階漲跌幅,另回傳 priceLimitLevels 完整階梯與 limitUpLevel/limitDownLevel 目前適用階數,此時 limitUpPrice/limitDownPrice 為目前適用階數的價格;盤中漲跌幅放寬後,適用階數與漲跌停價會隨之更新,且漲停與跌停可能適用不同階數。
info
帶 isSpread=true 查詢價差契約時,data 回傳的欄位較精簡(symbol、type、name、isSpread)。詳見下方「價差契約」。
Example
- cURL
- Python
- Node.js
curl -X 'GET' \
'https://api.fugle.tw/marketdata/v1.0/futopt/intraday/tickers?type=FUTURE&exchange=TAIFEX&session=REGULAR&product=TXF' \
-H 'X-API-KEY: <YOUR_API_KEY>'
from fugle_marketdata import RestClient
client = RestClient(api_key = 'YOUR_API_KEY')
futopt = client.futopt
print(futopt.intraday.tickers(type='FUTURE', exchange='TAIFEX', session='REGULAR', product='TXF'))
const { RestClient } = require("@fugle/marketdata");
const client = new RestClient({ apiKey: "YOUR_API_KEY" });
client.futopt.intraday
.tickers({ type: "FUTURE", exchange: "TAIFEX", session:'REGULAR', product:'TXF' })
.then((data) => console.log(data));
Response Body:
{
"date": "2026-10-08",
"type": "FUTURE",
"exchange": "TAIFEX",
"session": "REGULAR",
"product": "TXF",
"data": [
{
"symbol": "TXFC7",
"type": "FUTURE",
"closeDatetime": "2026-10-08T13:45:00.000+08:00",
"contractType": "I",
"endDate": "2027-03-17",
"flowGroup": 1,
"isDynamicBanding": true,
"name": "臺股期貨037",
"openDatetime": "2026-10-08T08:45:00.000+08:00",
"referencePrice": 50838,
"settlementDate": "2027-03-17",
"startDate": "2026-03-19",
"limitDownPrice": 45755,
"limitUpPrice": 55921
},
{
"symbol": "TXFF7",
"type": "FUTURE",
"closeDatetime": "2026-10-08T13:45:00.000+08:00",
"contractType": "I",
"endDate": "2027-06-16",
"flowGroup": 1,
"isDynamicBanding": true,
"name": "臺股期貨067",
"openDatetime": "2026-10-08T08:45:00.000+08:00",
"referencePrice": 51360,
"settlementDate": "2027-06-16",
"startDate": "2026-06-18",
"limitDownPrice": 46224,
"limitUpPrice": 56496
},
{
"symbol": "TXFI7",
"type": "FUTURE",
"closeDatetime": "2026-10-08T13:45:00.000+08:00",
"contractType": "I",
"endDate": "2027-09-16",
"flowGroup": 1,
"isDynamicBanding": true,
"name": "臺股期貨097",
"openDatetime": "2026-10-08T08:45:00.000+08:00",
"referencePrice": 51433,
"settlementDate": "2027-09-16",
"startDate": "2026-09-17",
"limitDownPrice": 46290,
"limitUpPrice": 56576
},
{
"symbol": "TXFJ6",
"type": "FUTURE",
"closeDatetime": "2026-10-08T13:45:00.000+08:00",
"contractType": "I",
"endDate": "2026-10-21",
"flowGroup": 1,
"isDynamicBanding": true,
"name": "臺股期貨106",
"openDatetime": "2026-10-08T08:45:00.000+08:00",
"referencePrice": 49968,
"settlementDate": "2026-10-21",
"startDate": "2026-07-16",
"limitDownPrice": 44972,
"limitUpPrice": 54964
},
{
"symbol": "TXFK6",
"type": "FUTURE",
"closeDatetime": "2026-10-08T13:45:00.000+08:00",
"contractType": "I",
"endDate": "2026-11-18",
"flowGroup": 1,
"isDynamicBanding": true,
"name": "臺股期貨116",
"openDatetime": "2026-10-08T08:45:00.000+08:00",
"referencePrice": 50144,
"settlementDate": "2026-11-18",
"startDate": "2026-08-20",
"limitDownPrice": 45130,
"limitUpPrice": 55158
},
{
"symbol": "TXFL6",
"type": "FUTURE",
"closeDatetime": "2026-10-08T13:45:00.000+08:00",
"contractType": "I",
"endDate": "2026-12-16",
"flowGroup": 1,
"isDynamicBanding": true,
"name": "臺股期貨126",
"openDatetime": "2026-10-08T08:45:00.000+08:00",
"referencePrice": 50321,
"settlementDate": "2026-12-16",
"startDate": "2025-12-18",
"limitDownPrice": 45289,
"limitUpPrice": 55353
}
]
}
分階漲跌幅商品
- cURL
- Python
- Node.js
curl -X 'GET' \
'https://api.fugle.tw/marketdata/v1.0/futopt/intraday/tickers?type=FUTURE&exchange=TAIFEX&session=REGULAR&product=OAF' \
-H 'X-API-KEY: <YOUR_API_KEY>'
from fugle_marketdata import RestClient
client = RestClient(api_key = 'YOUR_API_KEY')
futopt = client.futopt
print(futopt.intraday.tickers(type='FUTURE', exchange='TAIFEX', session='REGULAR', product='OAF'))
const { RestClient } = require('@fugle/marketdata');
const client = new RestClient({ apiKey: 'YOUR_API_KEY' });
client.futopt.intraday
.tickers({ type: "FUTURE", exchange: "TAIFEX", session:'REGULAR', product:'OAF' })
.then((data) => console.log(data));
Response Body:
{
"date": "2026-10-08",
"type": "FUTURE",
"exchange": "TAIFEX",
"session": "REGULAR",
"product": "OAF",
"data": [
{
"symbol": "OAFC7",
"type": "FUTURE",
"closeDatetime": "2026-10-08T16:15:00.000+08:00",
"contractType": "S",
"endDate": "2027-03-17",
"flowGroup": 5,
"isDynamicBanding": true,
"name": "富邦上証ETF期貨037",
"openDatetime": "2026-10-08T08:45:00.000+08:00",
"referencePrice": 38.53,
"settlementDate": "2027-03-17",
"startDate": "2026-04-16",
"limitDownLevel": 1,
"limitDownPrice": 35.84,
"limitUpLevel": 1,
"limitUpPrice": 41.22,
"priceLimitLevels": [
{
"level": 1,
"limitUpPrice": 41.22,
"limitDownPrice": 35.84
},
{
"level": 2,
"limitUpPrice": 42.38,
"limitDownPrice": 34.68
},
{
"level": 3,
"limitUpPrice": 44.3,
"limitDownPrice": 32.76
}
]
},
{
"symbol": "OAFF7",
"type": "FUTURE",
"closeDatetime": "2026-10-08T16:15:00.000+08:00",
"contractType": "S",
"endDate": "2027-06-16",
"flowGroup": 5,
"isDynamicBanding": true,
"name": "富邦上証ETF期貨067",
"openDatetime": "2026-10-08T08:45:00.000+08:00",
"referencePrice": 38.36,
"settlementDate": "2027-06-16",
"startDate": "2026-07-16",
"limitDownLevel": 1,
"limitDownPrice": 35.68,
"limitUpLevel": 1,
"limitUpPrice": 41.04,
"priceLimitLevels": [
{
"level": 1,
"limitUpPrice": 41.04,
"limitDownPrice": 35.68
},
{
"level": 2,
"limitUpPrice": 42.19,
"limitDownPrice": 34.53
},
{
"level": 3,
"limitUpPrice": 44.11,
"limitDownPrice": 32.61
}
]
},
{
"symbol": "OAFJ6",
"type": "FUTURE",
"closeDatetime": "2026-10-08T16:15:00.000+08:00",
"contractType": "S",
"endDate": "2026-10-21",
"flowGroup": 5,
"isDynamicBanding": true,
"name": "富邦上証ETF期貨106",
"openDatetime": "2026-10-08T08:45:00.000+08:00",
"referencePrice": 39.04,
"settlementDate": "2026-10-21",
"startDate": "2026-08-20",
"limitDownLevel": 1,
"limitDownPrice": 36.31,
"limitUpLevel": 1,
"limitUpPrice": 41.77,
"priceLimitLevels": [
{
"level": 1,
"limitUpPrice": 41.77,
"limitDownPrice": 36.31
},
{
"level": 2,
"limitUpPrice": 42.94,
"limitDownPrice": 35.14
},
{
"level": 3,
"limitUpPrice": 44.89,
"limitDownPrice": 33.19
}
]
},
{
"symbol": "OAFK6",
"type": "FUTURE",
"closeDatetime": "2026-10-08T16:15:00.000+08:00",
"contractType": "S",
"endDate": "2026-11-18",
"flowGroup": 5,
"isDynamicBanding": true,
"name": "富邦上証ETF期貨116",
"openDatetime": "2026-10-08T08:45:00.000+08:00",
"referencePrice": 39.11,
"settlementDate": "2026-11-18",
"startDate": "2026-09-17",
"limitDownLevel": 1,
"limitDownPrice": 36.38,
"limitUpLevel": 1,
"limitUpPrice": 41.84,
"priceLimitLevels": [
{
"level": 1,
"limitUpPrice": 41.84,
"limitDownPrice": 36.38
},
{
"level": 2,
"limitUpPrice": 43.02,
"limitDownPrice": 35.2
},
{
"level": 3,
"limitUpPrice": 44.97,
"limitDownPrice": 33.25
}
]
},
{
"symbol": "OAFL6",
"type": "FUTURE",
"closeDatetime": "2026-10-08T16:15:00.000+08:00",
"contractType": "S",
"endDate": "2026-12-16",
"flowGroup": 5,
"isDynamicBanding": true,
"name": "富邦上証ETF期貨126",
"openDatetime": "2026-10-08T08:45:00.000+08:00",
"referencePrice": 38.6,
"settlementDate": "2026-12-16",
"startDate": "2026-01-22",
"limitDownLevel": 1,
"limitDownPrice": 35.9,
"limitUpLevel": 1,
"limitUpPrice": 41.3,
"priceLimitLevels": [
{
"level": 1,
"limitUpPrice": 41.3,
"limitDownPrice": 35.9
},
{
"level": 2,
"limitUpPrice": 42.46,
"limitDownPrice": 34.74
},
{
"level": 3,
"limitUpPrice": 44.39,
"limitDownPrice": 32.81
}
]
}
]
}
價差契約
時間價差(calendar spread)契約預設不會出現在清單中,帶 isSpread=true 才會回傳。價差契約有以下特性:
- 代碼格式為
{近月}/{遠月}:由近、遠兩腳合約組成,契約名稱標示兩個月份(例如電子期貨076-086)。同商品的跨月價差,遠腳省略商品代碼(例如EXFG6/H6、TXFG6/H6);兩腳商品代碼不同時(如週契約與月契約組成的價差),遠腳為完整代碼(例如MX4G6/MXFH6)。 - 依代碼查詢時斜線直接放入路徑:
/intraday/ticker/{symbol}、/intraday/quote/{symbol}等依代碼查詢端點支援價差代碼,代碼中的/以未編碼的斜線直接放入路徑即可(例如/intraday/quote/TXFG6/H6)。也可透過 WebSocket 訂閱(將價差代碼放在訂閱訊息的symbol欄位)。 - 報價可為負值:價差為兩腳合約的價格之差,買賣報價可能為負數,屬正常現象。
- 不需等成交即可查得:價差契約清單於每日商品檔初始化時預先建立,開盤前或尚無成交的價差契約也會出現在清單中。
- 日盤與夜盤皆有:一般交易與盤後交易時段皆有價差契約行情。
- cURL
- Python
- Node.js
curl -X 'GET' \
'https://api.fugle.tw/marketdata/v1.0/futopt/intraday/tickers?type=FUTURE&exchange=TAIFEX&session=AFTERHOURS&isSpread=true' \
-H 'X-API-KEY: <YOUR_API_KEY>'
from fugle_marketdata import RestClient
client = RestClient(api_key = 'YOUR_API_KEY')
futopt = client.futopt
print(futopt.intraday.tickers(type='FUTURE', exchange='TAIFEX', session='AFTERHOURS', isSpread=True))
const { RestClient } = require("@fugle/marketdata");
const client = new RestClient({ apiKey: "YOUR_API_KEY" });
client.futopt.intraday
.tickers({ type: "FUTURE", exchange: "TAIFEX", session: "AFTERHOURS", isSpread: true })
.then((data) => console.log(data));
Response Body:
{
"date": "2026-10-08",
"type": "FUTURE",
"exchange": "TAIFEX",
"session": "AFTERHOURS",
"isSpread": true,
"data": [
{
"symbol": "BRFL6/A7",
"type": "FUTURE_AH",
"isSpread": true,
"name": "布蘭特原油期貨126-017"
},
{
"symbol": "BRFA7/B7",
"type": "FUTURE_AH",
"isSpread": true,
"name": "布蘭特原油期貨017-027"
},
......
]
}